<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetInstalledAddIns Method (IEdmAddInMgr7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddInMgr7 Interface : GetInstalledAddIns Method (IEdmAddInMgr7)

Visual Basic
C#
C++/CLI

ppoAddIns
  Array of EdmAddInInfo2 structures, one structure for each add-in

Gets information about all of the add-ins that have been installed in the vault.

# Syntax

Visual Basic |
--- | ---

    Sub GetInstalledAddIns( _
       ByRef ppoAddIns() As EdmAddInInfo2 _
    )

C# |
--- | ---

    void GetInstalledAddIns(
       out EdmAddInInfo2[] ppoAddIns
    )

C++/CLI |
--- | ---

    void GetInstalledAddIns(
    &   [Out] array<EdmAddInInfo2>^ ppoAddIns
    )

#### Parameters

ppoAddIns
  Array of EdmAddInInfo2 structures, one structure for each add-in

# Example

See the IEdmAddInMgr5 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddInMgr7 Interface
IEdmAddInMgr7 Members
IEdmAddInMgr8::GetInstalledAddIn Method ()

# Availability

SOLIDWORKS PDM Professional 2008